package com.parkingLot.service;

import com.parkingLot.dto.Response.CommonResponse;

/**
 * @author wu
 * @since 2024/12/13 09:11
 */
public interface RemoteCallService {


    /**
     * 区域剩余车位查询
     *
     * @return 响应类
     */
    CommonResponse GetAreaFreeSpaceNum();

    /**
     * 根据车牌查询在场数据
     *
     * @param plateNo 车牌号
     * @return 响应类
     */
    CommonResponse GetCarInfoByPlateNo(String plateNo);

}
