package com.parkingLot.dto.Response;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 科拓通用响应
 *
 * @author wu
 * @since 2024/12/17 13:57
 */
@Data
public class CommonResponse implements Serializable {
    private static final long serialVersionUID = -4789816950186563398L;


    @JsonProperty("data")
    private Object data;

    @JsonProperty("resCode")
    private String resCode;

    @JsonProperty("resMsg")
    private String resMsg;

}
